NXOpen .NET Reference  12.0.0
Public Types | Properties | List of all members
NXOpen.Weld.FilletBuilder Class Reference

Represents a NXOpen.Weld.Fillet builder. More...

Inheritance diagram for NXOpen.Weld.FilletBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  EnumExtendEdges { Manual, Automatic }
 the options for populating the edge selections. More...
 
enum  EnumConstructionMethod { Default, RollAround }
 the options for which construction method to use. More...
 
enum  EnumExtensionMethod { Automatic, ByValue }
 the Extension enum. More...
 
enum  EnumContour { None, Convex, Flush, Concave }
 the Contour enum. More...
 
enum  EnumSkipWeldMethod { NumberLength, NumberSpacing, SpacingLength }
 the Skipweld enum. More...
 
enum  EnumWeldingType { T, Lap, Corner }
 the WeldingType enum. More...
 
enum  EnumFillFaceHolesType { None, Set1, Set2, Both }
 the fill method to be applied. More...
 

Properties

unsafe bool AddCosmeticEnd [get, set]
 Returns or sets the value identify if a cosmtic end should be added to each end of the fillet. More...
 
unsafe bool AllowBroken [get, set]
 Returns or sets the toggle to allow broken link. More...
 
unsafe bool AssignWeldPMI [get, set]
 Returns or sets the toggle to assign weld pmi. More...
 
unsafe bool Associative [get, set]
 Returns or sets the value identify if WAVE links should remain unbroken. More...
 
unsafe
NXOpen.Weld.FilletBuilder.EnumConstructionMethod 
ConstructionMethod [get, set]
 Returns or sets the value for determining the construction method. More...
 
unsafe NXOpen.Expression ContourHeight [get]
 Returns the linear dimension contour height. More...
 
unsafe
NXOpen.Weld.FilletBuilder.EnumContour 
ContourType [get, set]
 Returns or sets the contour. More...
 
unsafe bool DirectToggle [get, set]
 Returns or sets the toggle to change direction. More...
 
unsafe bool DirectionVector1 [get, set]
 Returns or sets the face normal direction. More...
 
unsafe bool DirectionVector2 [get, set]
 Returns or sets the face normal direction for the second face. More...
 
unsafe double DistTolerance [get, set]
 Returns or sets the distance tolerance. More...
 
unsafe NXOpen.Section EdgeSet1 [get]
 Returns the edge set1. More...
 
unsafe NXOpen.Section EdgeSet2 [get]
 Returns the edge set2. More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
EndDist [get]
 Returns the on path dimension end distance. More...
 
unsafe bool EndVector [get, set]
 Returns or sets the end direction reversed or not. More...
 
unsafe
NXOpen.Weld.FilletBuilder.EnumSkipWeldMethod 
EnumMethod [get, set]
 Returns or sets the enum method for skip welds. More...
 
unsafe
NXOpen.Weld.FilletBuilder.EnumExtendEdges 
ExtendEdges [get, set]
 Returns or sets the value for how to populate the edge sets. More...
 
unsafe NXOpen.Expression ExtensionDistance [get]
 Returns the linear dimension extension distance. More...
 
unsafe
NXOpen.Weld.FilletBuilder.EnumExtensionMethod 
ExtensionMethod [get, set]
 Returns or sets the extension method. More...
 
unsafe double FaceFillGapDistance [get, set]
 Returns or sets the distance the fillet will span when there are gaps in the sheet definition. More...
 
unsafe NXOpen.ScCollector FaceSet1 [get]
 Returns the face set1. More...
 
unsafe NXOpen.ScCollector FaceSet2 [get]
 Returns the face set2. More...
 
unsafe bool FieldWeld [get, set]
 Returns or sets the field weld. More...
 
unsafe
NXOpen.Weld.FilletBuilder.EnumFillFaceHolesType 
FillFaceHoles [get, set]
 Returns or sets the value to identify if the face set should be filled during construction. More...
 
unsafe
NXOpen.Weld.FilletBuilder.EnumWeldingType 
FilletType [get, set]
 Returns or sets the fillet type. More...
 
unsafe NXOpen.Expression FirstLeg [get]
 Returns the linear dimension first leg. More...
 
unsafe NXOpen.Expression NumberOfWelds [get]
 Returns the expression number indicates number of welds in skip welds. More...
 
unsafe NXOpen.NXObject Pmi [get, set]
 Returns or sets the pmi symbol. More...
 
unsafe NXOpen.Expression SecondLeg [get]
 Returns the linear dimension second leg. More...
 
unsafe NXOpen.Face SeedFace1 [get, set]
 Returns or sets the first seed face. More...
 
unsafe NXOpen.Face SeedFace2 [get, set]
 Returns or sets the second seed face. More...
 
unsafe NXOpen.Point3d SeedPoint1 [get, set]
 Returns or sets the point on the first face. More...
 
unsafe NXOpen.Point3d SeedPoint2 [get, set]
 Returns or sets the point on the second face. More...
 
unsafe NXOpen.Expression SegmentLength [get]
 Returns the linear dimension length indicates segment length for each weld. More...
 
unsafe NXOpen.Expression Spacing [get]
 Returns the linear dimension spacing indicates distance between each weld. More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
StartDist [get]
 Returns the on path dimension start distance. More...
 
unsafe bool StartVector [get, set]
 Returns or sets the start direction reversed or not. More...
 
unsafe bool ThroatThickToggle [get, set]
 Returns or sets the toggle throat thickness. More...
 
unsafe bool ToggleCreateSkipWelds [get, set]
 Returns or sets the toggle to create skip welds. More...
 
unsafe bool ToggleRecreateDeletedWelds [get, set]
 Returns or sets the toggle to recreate deleted welds. More...
 
unsafe double Uparameter1 [get, set]
 Returns or sets the u parameter for first face. More...
 
unsafe double Uparameter2 [get, set]
 Returns or sets the u parameter for second face. More...
 
unsafe double Vparameter1 [get, set]
 Returns or sets the v parameter for first face. More...
 
unsafe double Vparameter2 [get, set]
 Returns or sets the v parameter for second face. More...
 
unsafe
NXOpen.Weld.CharacteristicsBuilder 
WeldingCharacteristics [get]
 Returns the welding characteristics. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 

Detailed Description

Represents a NXOpen.Weld.Fillet builder.

To create a new instance of this class, use NXOpen.Weld.WeldManager.CreateFilletBuilder

Default values.

Property Value

AddCosmeticEnd

0

AllowBroken

0

AssignWeldPMI

0

Associative

1

ContourHeight.Value

1.875 (millimeters part), .073818 (inches part)

ContourType

None

EnumMethod

NumberLength

ExtendEdges

Manual

ExtensionDistance.Value

0.0254 (millimeters part), 0.001 (inches part)

ExtensionMethod

Automatic

FaceFillGapDistance

0.0 (millimeters part), 0.0 (inches part)

FieldWeld

0

FillFaceHoles

None

FilletType

T

FirstLeg.Value

6.25 (millimeters part), .246062 (inches part)

NumberOfWelds.Value

3

SecondLeg.Value

6.25 (millimeters part), .246062 (inches part)

SegmentLength.Value

3 (millimeters part), .118110 (inches part)

Spacing.Value

3 (millimeters part), .118110 (inches part)

ThroatThickToggle

0

ToggleCreateSkipWelds

0

ToggleRecreateDeletedWelds

0

Created in NX8.0.0

Member Enumeration Documentation

the options for which construction method to use.

Enumerator
Default 
RollAround 

the Contour enum.

Enumerator
None 
Convex 
Flush 
Concave 

the options for populating the edge selections.

Enumerator
Manual 
Automatic 

the Extension enum.

Enumerator
Automatic 
ByValue 

the fill method to be applied.

Enumerator
None 
Set1 
Set2 
Both 

the Skipweld enum.

Enumerator
NumberLength 
NumberSpacing 
SpacingLength 

the WeldingType enum.

Enumerator
T 
Lap 
Corner 

Property Documentation

unsafe bool NXOpen.Weld.FilletBuilder.AddCosmeticEnd
getset

Returns or sets the value identify if a cosmtic end should be added to each end of the fillet.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.FilletBuilder.AllowBroken
getset

Returns or sets the toggle to allow broken link.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.FilletBuilder.AssignWeldPMI
getset

Returns or sets the toggle to assign weld pmi.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.FilletBuilder.Associative
getset

Returns or sets the value identify if WAVE links should remain unbroken.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.FilletBuilder.EnumConstructionMethod NXOpen.Weld.FilletBuilder.ConstructionMethod
getset

Returns or sets the value for determining the construction method.

Default method should be used for all conditions, unless you know the situation if for the roll around condition.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.FilletBuilder.ContourHeight
get

Returns the linear dimension contour height.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Weld.FilletBuilder.EnumContour NXOpen.Weld.FilletBuilder.ContourType
getset

Returns or sets the contour.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.FilletBuilder.DirectionVector1
getset

Returns or sets the face normal direction.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.FilletBuilder.DirectionVector2
getset

Returns or sets the face normal direction for the second face.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.FilletBuilder.DirectToggle
getset

Returns or sets the toggle to change direction.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.FilletBuilder.DistTolerance
getset

Returns or sets the distance tolerance.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Section NXOpen.Weld.FilletBuilder.EdgeSet1
get

Returns the edge set1.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Weld.FilletBuilder.EdgeSet2
get

Returns the edge set2.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Weld.FilletBuilder.EndDist
get

Returns the on path dimension end distance.

Created in NX8.0.0

License requirements: None.

unsafe bool NXOpen.Weld.FilletBuilder.EndVector
getset

Returns or sets the end direction reversed or not.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.FilletBuilder.EnumSkipWeldMethod NXOpen.Weld.FilletBuilder.EnumMethod
getset

Returns or sets the enum method for skip welds.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.FilletBuilder.EnumExtendEdges NXOpen.Weld.FilletBuilder.ExtendEdges
getset

Returns or sets the value for how to populate the edge sets.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.FilletBuilder.ExtensionDistance
get

Returns the linear dimension extension distance.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Weld.FilletBuilder.EnumExtensionMethod NXOpen.Weld.FilletBuilder.ExtensionMethod
getset

Returns or sets the extension method.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.FilletBuilder.FaceFillGapDistance
getset

Returns or sets the distance the fillet will span when there are gaps in the sheet definition.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.ScCollector NXOpen.Weld.FilletBuilder.FaceSet1
get

Returns the face set1.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Weld.FilletBuilder.FaceSet2
get

Returns the face set2.

Created in NX8.0.0

License requirements: None.

unsafe bool NXOpen.Weld.FilletBuilder.FieldWeld
getset

Returns or sets the field weld.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.FilletBuilder.EnumWeldingType NXOpen.Weld.FilletBuilder.FilletType
getset

Returns or sets the fillet type.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.FilletBuilder.EnumFillFaceHolesType NXOpen.Weld.FilletBuilder.FillFaceHoles
getset

Returns or sets the value to identify if the face set should be filled during construction.

Only holes fully bounded by a single face will be filled.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.FilletBuilder.FirstLeg
get

Returns the linear dimension first leg.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Weld.FilletBuilder.NumberOfWelds
get

Returns the expression number indicates number of welds in skip welds.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.NXObject NXOpen.Weld.FilletBuilder.Pmi
getset

Returns or sets the pmi symbol.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.FilletBuilder.SecondLeg
get

Returns the linear dimension second leg.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Face NXOpen.Weld.FilletBuilder.SeedFace1
getset

Returns or sets the first seed face.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Face NXOpen.Weld.FilletBuilder.SeedFace2
getset

Returns or sets the second seed face.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Point3d NXOpen.Weld.FilletBuilder.SeedPoint1
getset

Returns or sets the point on the first face.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Point3d NXOpen.Weld.FilletBuilder.SeedPoint2
getset

Returns or sets the point on the second face.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.FilletBuilder.SegmentLength
get

Returns the linear dimension length indicates segment length for each weld.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Weld.FilletBuilder.Spacing
get

Returns the linear dimension spacing indicates distance between each weld.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Weld.FilletBuilder.StartDist
get

Returns the on path dimension start distance.

Created in NX8.0.0

License requirements: None.

unsafe bool NXOpen.Weld.FilletBuilder.StartVector
getset

Returns or sets the start direction reversed or not.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.FilletBuilder.ThroatThickToggle
getset

Returns or sets the toggle throat thickness.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.FilletBuilder.ToggleCreateSkipWelds
getset

Returns or sets the toggle to create skip welds.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.FilletBuilder.ToggleRecreateDeletedWelds
getset

Returns or sets the toggle to recreate deleted welds.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.FilletBuilder.Uparameter1
getset

Returns or sets the u parameter for first face.

Created in NX8.0.0

Deprecated in NX10.0.0. Removed with no replacement.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.FilletBuilder.Uparameter2
getset

Returns or sets the u parameter for second face.

Created in NX8.0.0

Deprecated in NX10.0.0. Removed with no replacement.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.FilletBuilder.Vparameter1
getset

Returns or sets the v parameter for first face.

Created in NX8.0.0

Deprecated in NX10.0.0. Removed with no replacement.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.FilletBuilder.Vparameter2
getset

Returns or sets the v parameter for second face.

Created in NX8.0.0

Deprecated in NX10.0.0. Removed with no replacement.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.CharacteristicsBuilder NXOpen.Weld.FilletBuilder.WeldingCharacteristics
get

Returns the welding characteristics.

Created in NX8.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.